aboutsummaryrefslogtreecommitdiff
path: root/pdebuild-user-mode-linux
diff options
context:
space:
mode:
authordancer <dancer>2003-02-10 06:30:50 +0000
committerdancer <dancer>2003-02-10 06:30:50 +0000
commitc941b2b903b242deefc12b131e61fcc1db669bad (patch)
tree2553ba509d73cb565dc8a0ffe7010d4cd56e098b /pdebuild-user-mode-linux
parent4c08236f7fea217235ba215c2c60092df0f39e15 (diff)
downloadpbuilder-c941b2b903b242deefc12b131e61fcc1db669bad.tar
pbuilder-c941b2b903b242deefc12b131e61fcc1db669bad.tar.gz
+
+ * pdebuild: set pdebuild here as well. + + * pbuilder-checkparams (BASEBUILDPLACE): support the convention, and + do not exec < /dev/null in that case. + + * pdebuild-user-mode-linux (PBCURRENTCOMMANDLINEOPERATION): set to + pdebuild-user-mode-linux. + + * pbuilder-user-mode-linux.1: fix manual to have pbuilder-uml.conf.5 + + * Makefile (install): add pdebuild-user-mode-linux + + * pdebuild-user-mode-linux.1: Initial manual page. + + * pdebuild-user-mode-linux: try making a new script that + uses pbuilder-user-mode-linux for building instead of pbuilder.
Diffstat (limited to 'pdebuild-user-mode-linux')
-rw-r--r--pdebuild-user-mode-linux40
1 files changed, 40 insertions, 0 deletions
diff --git a/pdebuild-user-mode-linux b/pdebuild-user-mode-linux
new file mode 100644
index 0000000..72079ea
--- /dev/null
+++ b/pdebuild-user-mode-linux
@@ -0,0 +1,40 @@
+#! /bin/bash
+# pbuilder-user-mode-linux -- personal Debian package builder
+# Copyright (C) 2003 Junichi Uekawa
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+set -e
+
+while ! test -d ./debian -o "$(pwd)" = "/" ; do
+ cd ..;
+done
+
+if test ! -d ./debian; then
+ echo "Cannot find ./debian dir"
+ exit 1
+fi;
+export PBCURRENTCOMMANDLINEOPERATION="pdebuild"
+. /usr/lib/pbuilder/pbuilder-checkparams
+
+PKG_SOURCENAME=$(dpkg-parsechangelog|sed -n 's/^Source: //p')
+PKG_VERSION=$(dpkg-parsechangelog|sed -n 's/^Version: \(.*:\|\)//p')
+ARCHITECTURE=$(dpkg-architecture -qDEB_HOST_ARCH)
+
+dpkg-buildpackage -S -us -uc -r${BUILDSOURCEROOTCMD} || true
+pbuilder-user-mode-linux build "$@" --buildresult "${BUILDRESULT}" ../"${PKG_SOURCENAME}_${PKG_VERSION}".dsc
+if [ "${AUTO_DEBSIGN}" = "yes" ]; then
+ debsign "${BUILDRESULT}/${PKG_SOURCENAME}_${PKG_VERSION}_${ARCHITECTURE}.changes"
+fi
+